Bookmarks

Yahoo Gmail Google Facebook Delicious Twitter Reddit Stumpleupon Myspace Digg

Search queries

lvm raid0, apache reverse proxy to iis ntlm, m.p. pasing list download, useradd default password, rajxxxxxcom.., Thor Johnson Beefy Uncut Ginger Adult Entertainer, how do you pronounce myisam, jwbznx, udp send thread safe, wwwB xxx

Links

Issociate
Impressum

#1: problem installing GD-2.19

Posted on 2004-12-21 21:10:28 by vertigo

Hello

I can not install GD-2.19.
I tried with gd-2.0.33 and perl 5.6.8:
#perl Makefile.PL
#make

and everything was fine, but:
#make test

PERL_DL_NONLAZY=1 /usr/local/bin/perl "-MExtUtils::Command::MM" "-e"
"test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/GD..........Can't load './blib/arch/auto/GD/GD.so' for module GD:
../blib/arch/auto/GD/GD.so: undefined symbol: gdFontGetGiant at
/usr/local/lib/perl5/5.8.6/i686-linux/DynaLoader.pm line 230.
at t/GD.t line 13
Compilation failed in require at t/GD.t line 13.
BEGIN failed--compilation aborted at t/GD.t line 13.
dubious
Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 1-10
Failed 10/10 tests, 0.00% okay
t/Polyline....Can't load '/root/log3/GD-2.19/blib/arch/auto/GD/GD.so'
for module GD: /root/log3/GD-2.19/blib/arch/auto/GD/GD.so: undefined
symbol: gdFontGetGiant at
/usr/local/lib/perl5/5.8.6/i686-linux/DynaLoader.pm line 230.
at /root/log3/GD-2.19/blib/lib/GD/Polyline.pm line 45
Compilation failed in require at
/root/log3/GD-2.19/blib/lib/GD/Polyline.pm line 45.
BEGIN failed--compilation aborted at
/root/log3/GD-2.19/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at t/Polyline.t line 10.
BEGIN failed--compilation aborted at t/Polyline.t line 10.
dubious
Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED test 1
Failed 1/1 tests, 0.00% okay
Failed 2/2 test scripts, 0.00% okay. 11/11 subtests failed, 0.00% okay.
Failed Test Stat Wstat Total Fail Failed List of Failed
------------------------------------------------------------ -------------------
t/GD.t 255 65280 10 19 190.00% 1-10
t/Polyline.t 255 65280 1 2 200.00% 1
make: *** [test_dynamic] Error 2


i tried on different versions of perl, libdg and GD but nothing helped.
When i installed gd-2.0.30 insted of 2.0.33 i received:
#perl Makefile.PL
#make

and everything was fine, but:
#make test
PERL_DL_NONLAZY=1 /usr/local/bin/perl "-MExtUtils::Command::MM" "-e"
"test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/GD..........Can't load './blib/arch/auto/GD/GD.so' for module GD:
../blib/arch/auto/GD/GD.so: undefined symbol: gdImageGifAnimAddPtr at
/usr/local/lib/perl5/5.8.6/i686-linux/DynaLoader.pm line 230.
at t/GD.t line 13
Compilation failed in require at t/GD.t line 13.
BEGIN failed--compilation aborted at t/GD.t line 13.
dubious
Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 1-10
Failed 10/10 tests, 0.00% okay
t/Polyline....Can't load '/root/log3/GD-2.19/blib/arch/auto/GD/GD.so'
for module GD: /root/log3/GD-2.19/blib/arch/auto/GD/GD.so: undefined
symbol: gdImageGifAnimAddPtr at
/usr/local/lib/perl5/5.8.6/i686-linux/DynaLoader.pm line 230.
at /root/log3/GD-2.19/blib/lib/GD/Polyline.pm line 45
Compilation failed in require at
/root/log3/GD-2.19/blib/lib/GD/Polyline.pm line 45.
BEGIN failed--compilation aborted at
/root/log3/GD-2.19/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at t/Polyline.t line 10.
BEGIN failed--compilation aborted at t/Polyline.t line 10.
dubious
Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED test 1
Failed 1/1 tests, 0.00% okay
Failed 2/2 test scripts, 0.00% okay. 11/11 subtests failed, 0.00% okay.
Failed Test Stat Wstat Total Fail Failed List of Failed
------------------------------------------------------------ -------------------
t/GD.t 255 65280 10 19 190.00% 1-10
t/Polyline.t 255 65280 1 2 200.00% 1
make: *** [test_dynamic] Error 2

Why ? Where's problem ?

Thanx
Michal

Report this message

Mr Ad

Google

#2: Re: problem installing GD-2.19

Posted on 2004-12-21 22:28:50 by Ken

vertigo wrote:
> Hello
>
> I can not install GD-2.19.
> I tried with gd-2.0.33 and perl 5.6.8:
> #perl Makefile.PL
> #make
>
> and everything was fine, but:
> #make test
>
<snipped out lots of errors>

I'm not sure what your problem is, but I can tell you what I did to
install GD which works perfectly (but only after many, many tries). I
documented all my steps but your mileage may vary. I did this on Red Hat
and Fedora; I'm not sure what OS you are using.

First of all, I made sure I installed the latest versions of libpng,
jpeg libs, freetype2, and gd (in that order). I then installed GD.pm. I
used the default installation directories for everything (GD doesn't
seem to like custom paths). Here's how I did it:

add the lib path (Red Hat/Fedora specific I think)
----------------
add /usr/local/lib to /etc/ld.so.conf
run ldconfig -v


install libpng
--------------
cp over scripts/makefile.linux to ../makefile
make && make install


install jpeg libs
-----------------
../configure --enable-shared
make && make install


install freetype2
-----------------
../configure
make && make install


install gd
----------
../configure --enable-shared
make && make install


install GD.pm
-------------
LD_LIBRARY_PATH="/usr/local/lib"
export LD_LIBRARY_PATH
perl Makefile.PL
make && make test && make install

Report this message